# LibrePlanet 2021: Adopting Free Software Ideals

I will be speaking again at this year's [LibrePlanet][] on March 20th,
  which will be online.
This year,
  I'll be talking about challenges with adopting free software ideals and
    the impact that it can have not only on individuals,
      but also on our community as a whole.
This talk will be personal,
  drawing upon my evolution over the past fifteen or so years.

[LibrePlanet]: https://libreplanet.org/2021

<!-- more -->

Here is the abstract for this year's talk:

> Adopting free software ideals can be confusing and challenging for
> individuals, filled with cognitive dissonance and questioning of
> practicality.  Am I a bad person if I use non-free software?  What
> example should I set as a free software activist or advocate?  How does
> that relate to responsibilities of developers and distributors?
>
> This is a talk about practical ethics and ideals.  It is personal,
> drawing upon my experiences and evolution over the past fifteen
> years.  It contains some awkward discussions that free software
> activists like to avoid, and hopes to guide those seeking to adopt
> more free software ideals, but fear they may not be able to meet such
> high standards.  It's a talk about evolution and growth.
>
> But complacency in the face of conflict can also dilute our
> ideals.  So this is also a talk about balancing ideals in the context
> of one's own unique circumstances, while at the same time preserving a
> strong message about software freedom.

I'm disappointed that I won't be able to see everyone in person,
  but I hope that we can all remain healthy this year so we can maybe see
  one-another in~2022.

I did not submit a talk for last year's conference because I had too much
  going on,
    so I'm excited to be back.
